commit 23b917d7cb5b0f14c967fc52148d55fcdb0201ae
Author: Richard Sandiford <richard.sandiford@arm.com>
Date:   Mon Aug 3 16:33:11 2020 +0100

    testsuite: Add -Wno-psabi to gcc.dg/pr96377-[12].c
    
    2020-08-03  Richard Sandiford  <richard.sandiford@arm.com>
    
    gcc/testsuite/
            * gcc.dg/pr96377-1.c: Add -Wno-psabi.
            * gcc.dg/pr96377-2.c: Likewise.
    
    (cherry picked from commit 401070d8b4e90d4363b6566836c94ec7b6f9c5a2)

diff --git a/gcc/testsuite/gcc.dg/pr96377-1.c b/gcc/testsuite/gcc.dg/pr96377-1.c
index 2bf3f816331..75b0c9618ef 100644
--- a/gcc/testsuite/gcc.dg/pr96377-1.c
+++ b/gcc/testsuite/gcc.dg/pr96377-1.c
@@ -1,4 +1,4 @@
-/* { dg-options "-fno-lax-vector-conversions" } */
+/* { dg-options "-fno-lax-vector-conversions -Wno-psabi" } */
 /* { dg-message "use '-flax-vector-conversions' to permit conversions" "" { target *-*-* } 0 } */
 
 typedef int v4si __attribute__((vector_size(16)));
diff --git a/gcc/testsuite/gcc.dg/pr96377-2.c b/gcc/testsuite/gcc.dg/pr96377-2.c
index f58b06d9076..83550401156 100644
--- a/gcc/testsuite/gcc.dg/pr96377-2.c
+++ b/gcc/testsuite/gcc.dg/pr96377-2.c
@@ -1,4 +1,4 @@
-/* { dg-options "-flax-vector-conversions" } */
+/* { dg-options "-flax-vector-conversions -Wno-psabi" } */
 
 typedef int v4si __attribute__((vector_size(16)));
 typedef short v8hi __attribute__((vector_size(16)));

